glibc (2.2.5-4) unstable; urgency=low

  * Include s/ip6.arpa/ip6.int/ patch from Fabbione. Closes: #119773,
    #132310
  * Fix perms on locales/DEBIAN/config. Closes: #134094, #139682
  * Update from Glibc CVS: Lots of euro conversions and locales updates.
    Closes: #128181, #130259
    Lots of other various fixes (please read the ChangeLog). Closes: #138094
  * Upstream fixed ia64 ldd rewrite problem. Closes: #128451
  * Upstream fixed nice return. Closes: #136815
  * pt_BR translation is ok now, Closes: #128530
  * Applied patch from Ganesan R to better handle some locale names.
    Closes: #128969
  * Add ARM patch to disable hardware caps.
  * Fix typos in catalan template. Closes: #133247
  * Add a "Leave alone" option for locales setting of /etc/environment.
    Make it the default. Closes: #133315, #133315
  * HPPA patch from Randolph Chung. Closes: #133666
  * Fix zh_HK date output, from Anthony Fok.
  * s/Noninteractive/noninteractive/ (hopefully for the last time).
    Closes: #134381, #137348
  * Fix locales/config for when locale.gen doesn't exist.
    Closes: #135343, #134613, #139284
  * Patch from Gary Hade (via Randolph Chung) to fix gmon-start.
    Closes: #135748, #129903
  * Fix locale.1 - s/LC_PAPR/LC_PAPER/ Closes: #114174
  * Add glibc22-hppa-tests patch from Randolph Chung. Closes: #137513
  * Alistair McKinstry:
    - Added locale.alias(5) and locale.gen(5) man pages. Closes: #106117
    - Patch for glibcbug to correctly handle bad EDITOR setting.
      Closes: #128699
    - Include glibcbug.1 manpage. Closes: #128701
    - Add patch to fix segv in localedef.
    - Patch for locale.1 and localedef.1 to add missing LC_* vars.
      Closes: #114174
    - Fix for the d_fmt field in de_CH. Closes: #27397
    - Fix locale.alias so Russion charset is KOI8-R instead of ISO-8859-5.
      Closes: #62586
    - s/Jun/Juni/ s/Jul/Juli/ for sr_YU. Closes: #131846
    - Typo in categories.def. Closes: #133379
    - Update iso-4217.def Closes: #133380
    - Re-enable el.po since we are using newer gettext. Closes: #133383
  * nscd.conf.5: Clarification. server-user option cannot be used with
    -S/--secure. It will fail to start. Also note that using server-user other
    than root may break some lookup services. Closes: #139433
  * Completely remove the pthread man pages. They are _way_ out of date (last
    updated in 1998 according to the ChangeLog). Use the info or html docs
    instead. Feel free to send me mucho patches for them, if you want them
    back. Closes: #139052, #139042
  * Various LSB conformance patches from Joey Hess. Closes: #136815
  * ia64 patch for R_IA64_NONE relocs. Closes: #135314

 -- Ben Collins <bcollins@debian.org>  Sun, 24 Mar 2002 09:49:37 -0500

glibc (2.2.5-3) unstable; urgency=low

  * Fix logic in locales postinst which would fail on empty or missing
    /etc/environment. Closes: #132025, #131999, #132244
  * Remove build-dep on gcc-3.0-sparc64
  * Fix case where no locales are selected, so the only choices for LANG are C
    and None. This left a hangin comma which debconf doesn't seem to like.
    Closes: #132245

 -- Ben Collins <bcollins@debian.org>  Sun,  3 Feb 2002 23:13:29 -0500

glibc (2.2.5-2) unstable; urgency=low

  * Remove glibc22-m68k-resource.dpatch. Patch is already included upstream.
    Closes: #130922
  * Fix thinko in locales postinst. Also add a "None" option for LANG, and
    check for it in postinst.
  * HPPA correct unwind setting, from Matthew Wilcox. Also update patch
    splitting the linuxthreads and rel/rela changes. Closes: #131216
  * Fix copyright shown for the GNU Libc Manual. Closes: #130866
  * Fix problem where a binary-NMU rebuild of libc would provide a version
    that was incompatible with the current locales dep.
  * Fix atomic_lock_t decleration for hppa. Closes: #131367
  * Fix logic in locales where LANG wasn't being set in /etc/environment.
    Closes: #131040
  * Moved SUPPORTED list to /usr/share/i18n/, since policy says it can't be in
    /usr/share/doc/locales/. Fixup debconf scripts to notice this.
  * A few patches from CVS:
    - Fixes bad optimization in dynamic linker
    - Updates m68k and arm for unwind
    - tzdata2002b updates
    - Some irrelevant (for us) x86_64 updates
  * Patch from Gerhard Tonn for s390-32 for bits/resource.h.
  * libc6-sparc64-dev: Change dep to gcc-3.0 instead of gcc-3.0-sparc64. The
    packages are now merged.

 -- Ben Collins <bcollins@debian.org>  Fri,  1 Feb 2002 11:52:54 -0500

glibc (2.2.5-1) unstable; urgency=low

  * New upstream. Closes: #122980, #126441
  * locales.postinst: Add a signature line to /etc/locale.gen so people can
    take over the file manually instead of through debconf.
  * Added -de template for locales. Closes: #114078
  * Removed need for generate-config.mk. SUPPORTED list for debconf is now
    generated dynamically using SUPPORTED.gz.
  * Added debconf option in locales to choose LANG= default in
    /etc/environment based on contents of /etc/locale.gen. Closes: #117216,
    #120410
  * Patched nscd init script. Patch supplied by Grant Bowman. Closes: #121942
  * Do not install tzconfig(8), Closes: #123679
  * Removed obsolete BSD license clause in debian/copyright. Closes: #123821
  * Applied spelling patch for locales description. Closes: #125092
  * Updated glibc-doc description to note that it includes html docs too. I am
    not, however, splitting info and html docs into seperate packages. Closes:
    #125825
  * Check for the existence of libdb.so.3 before cat'ing it. Closes: #126459
  * Added powerpc sysconf patch from David Schleef. Closes: #127560
  * Added SuperH support. Closes: #127740
  * No longer apply glibc-vs-gcc3 patch. Implementation merged upstream.
  * Last minute ARM patch to fix unwind.

 -- Ben Collins <bcollins@debian.org>  Thu, 24 Jan 2002 00:31:40 -0500

glibc (2.2.4-7) unstable; urgency=low

  * glibc22-hppa: Fix mips/pt-machine.h, so that it patches both the ISA-1 and
    ISA-2 cases of testandset(). Also add IPC updates from Willy. Closes: #120383
  * glibc22-hppa: Updated, from Mathew Wilcox.

 -- Ben Collins <bcollins@debian.org>  Mon,  3 Dec 2001 12:09:26 -0500

glibc (2.2.4-6) unstable; urgency=low

  * glibc22-hppa.dpatch: Fix lock_held macro on non-hppa. This patch is now
    enabled by default for all archs.
  * Update patches for HPPA dynamic loader from.
  * m68k resource.h patch from Roman Zippel, Closes: #118909

 -- Ben Collins <bcollins@debian.org>  Fri,  9 Nov 2001 21:20:59 -0500

glibc (2.2.4-5) unstable; urgency=low

  * Added patch from Ulrich to really fix the [x-] fnmatch() case.
    Closes: #96013
  * Updated gcc3 compat patch.
  * Several changes to ldconfig:
    - Parse the config file before checking system directories. This is needed
      to make sure it is possible to override system directories.
    - Cleanup the config file parsing routine a bit. Make sure we open the
    config file with correct perms in case it gets created by this call.
  * Pulled from CVS as of Oct 27, 2001:
    - Includes fnmatch fix upstream.
    - strxfrm fix.
    - dlfcn fix for C++ program usage.
    - ENABLE_NLS fixes for various functions (doesn't affect us, since it is
      mainly meant for non-nls builds).
    - IPv6 reverse lookup fixes.
    - Lots of libm fixes.
    - Several language translation updates.
    - Several m68k setjmp fixes.
    - Some mips fixes merged.
    - Timezone updates.
    - S390 ucontext fixes.
    - Several hurd fixes.
    - ELFOSABI_* Updates.
  * Update the kernel headers on all the systems I build for (arm, ppc, i386,
    mips, sparc, sparc64, hppa).
  * Added "es" template for locales, from Carlos Valdivia. Closes: #117413
  * Fixup ttyname patch for devfs, which broke some things. Closes: #117551
  * Remove the errno.texi explanation for _GNU_SOURCE for two defines. The
    thing is, according to the libc manual conventions, this is not the
    correct way to handle it. In fact, it is already done according to the
    convention of the rest of the manual. The two items are tagged with the
    "GNU" comment, meaning they are GNU extensions. The libc manual explains
    in its introductory chapters that this means it needs the _GNU_SOURCE
    define.

 -- Ben Collins <bcollins@debian.org>  Mon, 29 Oct 2001 20:25:40 -0500

glibc (2.2.4-4) unstable; urgency=low

  * Hopefully fix the damn .html docs. Looks good to me. Closes: #84237,
    #89382
  * Fix inttypes.h typo. Closes: #114483
  * Disable sanity checks for gcc-3.0 archs, Closes: #114724
  * Fix entry for locales depending on debconf. Closes: #115155
  * Fix echo commands when generating locales.config. The -e option is not
    portable.
  * New hppa patch from several people. This, along with the .10 binutils,
    should fix all of hppa's problems.
  * Apply devfs compatibility patch for ttyname. Closes: #74911
  * Add (modified) patch for ldconfig to create ld.so.conf if it doesn't
    exist. Original patch from David Whedon, Closes: #98763
  * Clarify some errno.texi functions wrt _GNU_SOURCE. Patch from Jeremiah
    Savage. Closes: #99683
  * Add conflicts/replaces for all the potato locales that cannot be installed
    with this glibc (and are actually supported now). Closes: #108015
  * Fix comma in confnames.h to make all the -pedantic folks happy :).
    Closes: #113498, #113816, #114672
  * Include a mips termios.h cleanup patch, sent by Ryan Murray, patch by Ralf
    Baechle.
  * Add Russion template for locales package, by Ilgiz Kalmetev. Closes:
    #114303
  * Fix sed in ia64/ldd-rewrite.sh: Closes: #115784
  * Add Brazilian Portuguese locales template from Andre Luis Lopes, closes:
    #116435

 -- Ben Collins <bcollins@debian.org>  Wed, 24 Oct 2001 12:28:49 -0400

glibc (2.2.4-3) unstable; urgency=low

  * Apply patch to fix es_AR number formatting. Closes: #108373
  * Fix SA_* defines on some archs. Patch sent upstream, and accepted.
    Closes: #113273
  * Brought in dynamic module patch from CVS that fixes
    mozilla/galeon/konquerer. Closes: #113457, #113481, #113708
  * Fixed libc postinst for the readlink call. Based on patch supplied by
    Branden Robinson. Closes: #113459
  * Increase shlib dep to 2.2.4-2. Closes: #113731

 -- Ben Collins <bcollins@debian.org>  Sat, 29 Sep 2001 23:38:11 -0400

glibc (2.2.4-2) unstable; urgency=low

  * Updates from CVS Head, includes some s390 fixes, closes: #109072
  * Reincluded some missed patches (notable the fakeroot fix), closes:
    #109162
  * Include the iconvconfig program in the libc6 package, closes: #109600
  * Fixup locales/libc dep back to the old way, closes: #109850
  * Apply patch for locale-gen.8, closes: #110554
  * Apply patch to make /etc/locale.gen generated by debconf interface.
    Thanks to Ho-seok Lee, closes: #110980, #110661
  * glibc22-fts.dpatch: Remove, fixes upstream now.
  * libc/DEBIAN/postinst: Before calling init u, make sure /proc/1/exe
    resolves to /sbin/init. This should help ensure we don't muck up
    debootstrap.  closes: #110615

 -- Ben Collins <bcollins@debian.org>  Fri,  7 Sep 2001 14:52:02 -0400

glibc (2.2.4-1) unstable; urgency=low

  * Final release of 2.2.4. Not much changed from 2.2.3-11.
  * Remove cruft from debian/patches/

 -- Ben Collins <bcollins@debian.org>  Thu, 16 Aug 2001 09:29:14 -0400

glibc (2.2.3-11) unstable; urgency=low

  * Updated to HEAD of CVS as of Aug 11, 2001
    - Misc fixes found in 2.2.4pre2
    - This is basically 2.2.4pre3
  * New glibc-vs-gcc3 patch, closes: #108408, #108364, #108415, #108364,
    #108454, #108476

 -- Ben Collins <bcollins@debian.org>  Sun, 12 Aug 2001 10:02:12 -0400

glibc (2.2.3-10) unstable; urgency=low

  * Updated to HEAD of CVS, as of Aug 4, 2001
    - Mostly arch specific bug fixes.
    - This is actually the same as 2.2.4-pre2 (releasing in a day or so)
  * Ok, I give up. I don't want any more bug reports, so I've added the
    nfs getdents fix. If it breaks anything, I will hunt down all of those
    who submitted the patch/bug. closes: #86877
  * Added two more Q/A's to the Debian FAQ (AKA "The Overfiend Clause" :)
    This documents Debian's glibc following stable CVS, and also
    kernel-headers desync.
  * Added latex2html to build-dep-indep, closes: #101662
  * Fix tzconfig so it handles ambiguous names correctly, closes: #105580
    Patch by Martin Pool <mbp@valinux.com>
  * Add copyright and license to tzconfig, closes: #105581
  * Updated libc0.2 hurd dep to (>= 20010718-1), closes: #106291
  * Include locale-gen.8 manpage from Eduard Bloch <edi@gmx.de>
  * Duh. We don't need to cat in the saved libdb.so.3 to the new location.
    Ldconfig does the work for us by creating a symlink to it.
  * Remove sysdeps/powerpc/memset.S so ppc gets the generic C version for
    now (which is actually faster on most machines anyway), until they get
    their memset.S fixed (especially for Power3).
  * Added updates for hppa patch from Matthew Wilcox.
  * debian/rules.d/control.mk: Added hppa to list of archs for libc6

 -- Ben Collins <bcollins@debian.org>  Tue,  7 Aug 2001 10:11:22 -0400

glibc (2.2.3-9) unstable; urgency=low

  * Really fix the timezone problem this time. I moved the UTC check
    before the TZ check, and then reuse that to get the TZ date, instead
    of the other way around. That solves the problem. Using this method, I
    can get the UTC date first setting LC_ALL=C, and then allow the
    override for the real UTC0 and $TZ date, so we get lang support
    without breakage now.

 -- Ben Collins <bcollins@debian.org>  Tue, 24 Jul 2001 12:19:48 -0400

glibc (2.2.3-8) unstable; urgency=low

  * Use glibc- instead of glibc_ for the provides between libc and
    locales. Underscores are actually not allowed in package names.
  * CVS as of July 22, 2001
  * Use LC_ALL instead of LANG in libc postinst, closes: #106043, #106078,
    #106081, #106187, #106215
  * Use Noninteractive, not noninteractive in postinst's, closes: #105902
  * SUPPORTED file ends in .gz...guess some people can't bother to add
    that themselves. Also, add notes about locale-gen closes: #105915
  * Fix cp -L calls, use cat instead to make sure we avoid any command
    line problems, closes: #106120, #106096
  * MIPS WARNING: The MAP_BASE_ADDR patch does not apply anymore, since it
    seems that whole bit of code was removed. MAKE SURE THIS DOESN'T BREAK
    ANYTHING! :)

 -- Ben Collins <bcollins@debian.org>  Sun, 22 Jul 2001 23:04:15 -0400

glibc (2.2.3-7) unstable; urgency=low

  * CVS as of 7-9-2001, closes: 101308, 103251, 100398, 100398
  * New hppa patch, still not enabled by default since I got deadlocks in
    the linuxthreads tests (ex2 and ex10) on sparc.
  * Increased shlibdep to 2.2.3-7
  * SUPPORTED locales list is now in doc dir, and locale.gen is a
    non-changing file (still a conffile, but it doesn't change when glibc
    changes).
  * Fix fts patch so it doesn't break Hurd, closes: 102826
  * Make libc provide glibc_$DEBVERSION, and locales depend on it. This
    way we make sure everything matches up. closes: 100605, 100605,
    101034, 100605, 99344
  * Added some more UTF-8 locales, closes: 103742, 86372
  * Fixed hurd's ldconfig, closes: #101691
  * Already fixed ld_envlib_path, closes: 101622
  * In libc preinst, detect if we are upgrading from a version where we
    used to provide our own libdb.so.3, and keep a copy. We reuse it
    during postinst. This way, we have no time where libdb.so.3 doesn't
    exist. closes: 101795, 103586
  * Removed depends on libdb2 from libc6, since our hack above makes it
    pointless. Now, libc6 should get installed before libdb2 (since it
    depends on libc6), which will leave a working libdb.so.3. After libdb2
    is upgraded, the new libdb.so.3 will be installed, which will work
    since the new libc6 that it depends on is also working.
  * Fixed calls for zoneinfo as per JoeyH's suggestion. closes: 100461
  * Updated copyright notice since LGPL 2.1 is now used.

 -- Ben Collins <bcollins@debian.org>  Tue, 10 Jul 2001 14:00:59 -0400

glibc (2.2.3-6) unstable; urgency=low

  * CVS As of 6-9-2001, closes: #100055
  * debian/sysdeps/depflags.pl: Fix typo where netbase/netkit-rpc wasn't
    being added to libc-dev control flags, closes: #98735, #99460, #99990,
    #100382
  * Moved rpcinfo from /usr/sbin to /usr/bin... closes: #100279
  * Added fts() security patch
  * Updated patch for HPPA, now also enabled per default

 -- Ben Collins <bcollins@debian.org>  Sat,  9 Jun 2001 16:35:29 -0400

glibc (2.2.3-5) unstable; urgency=low

  * CVS as of 5-28-2001
  * Added fake ldconfig script for hurd, provided by Robert Bihlmeye,
    closes: #95189
  * Add replaces for netbase (<< 4.0), closes: #98708, #98735
  * Install rpcgen/rpcinfo manpages, closes: #98710

 -- Ben Collins <bcollins@debian.org>  Mon, 28 May 2001 14:36:32 -0400

glibc (2.2.3-4) unstable; urgency=low

  * CVS as of 5-24-2001
  * Add forgotten mips ld.so patch
  * Added s390 to arch lists, closes: #97718
  * Add m68k fPIC patch for libc_nonshared, closes: #97663
  * Add LD_LIBRARY_PATH to --library-path, closes: #98638

 -- Ben Collins <bcollins@debian.org>  Thu, 24 May 2001 16:10:09 -0400

glibc (2.2.3-3) unstable; urgency=low

  * Upgraded to CVS as of 5-20-2001
  * New HPPA patch (applies cleanly)
  * Fix prep.sh, closes: #97600
  * Add rpcinfo to libc, and rpcgen to libc-dev. Add Conflicts/Replaces
    for both packages with netkit-rpc, closes: #93280

 -- Ben Collins <bcollins@debian.org>  Mon, 21 May 2001 09:56:47 -0400

glibc (2.2.3-2) unstable; urgency=low

  * Enable threads for hppa
  * Updated to CVS as of May 10, 2001, closes: #96968, #94501
  * Run locale-gen on upgrades from before 2.2.3-1, closes: #96767, #96913
  * Should be fixed, old regex problems, closes: #86728, #88677
  * This should be fixed now too, closes: #88662
  * There were some regcomp related fixes that appear to have fixed this,
    closes: #93167
  * Build-Depends-Indep: s/perl5/perl/, closes: #95782
  * Updated eo_EO from Edmund GRIMLEY, closes: #78085

 -- Ben Collins <bcollins@debian.org>  Thu, 10 May 2001 13:54:42 -0400

glibc (2.2.3-1) unstable; urgency=low

  * Were up to 2.2.3 now.
  * libc-dev: Conflict with older gcc's that do not have the weak-sym or
    pic-kludge patches.
  * ldd.dpatch: New and improved fix for the "no execute permissions"
    buglet. Now, ldd will not call the "file" command for every file. This
    should speed up dpkg-shlibdeps a lot.
  * Removed some obsolete db2 patches
  * Removed some other obsolete patches
  * Conflict with libnss-db that used db2
  * Depends on current libdb2 which contains libdb.so.3...hopefully this
    wont make apt choke because of a dep loop
  * Use the new gcc-3.0 to build sparc64 64bit libc/libc-dev packages.
  * Build-Depend += gcc-3.0-sparc64 [sparc]

 -- Ben Collins <bcollins@debian.org>  Thu, 12 Apr 2001 21:08:33 -0400

glibc (2.2.2-4) unstable; urgency=low

  * Yeah! We can disable our libdb.so.3 (db2) interface in favor of the
    one in libdb2. That package now has a symboled version so we can start
    to migrate away from this cruft. However, we do still have the db1
    support.

 -- Ben Collins <bcollins@debian.org>  Fri, 23 Mar 2001 19:17:39 -0500

glibc (2.2.2-3) unstable; urgency=low

  * Disable building of optimized libs for now. I did not forsee the
    problems involved with symbol skew between ld-linux.so.2 and the
    optmized libc.so.6. As of now, I can see no way around this.
  * Make libc6 conflict with the optimized libs for now, so we can get rid
    of them, closes: #90753, #90758, #90763, #90770, #90778, #90779
  * RPC patch from Jakub Jelenik, probably closes: #90830
  * Add build-dep for file, m4 not needed now that opt libs are gone.
    closes: #90773

 -- Ben Collins <bcollins@debian.org>  Fri, 23 Mar 2001 10:31:24 -0500

glibc (2.2.2-2) unstable; urgency=low

  * Fix ld.so shlib output, closes: #87655
  * Update to latest CVS, as of 2001-03-21
  * manual/arith.texi: Fix documentation of fast and least integer
    typedef's. Patch sent upstream, closes: #84711
  * glibc22-getaddrinfo.dpatch: Add fix from Hiroyuki YAMAMORI
    <h-yamamo@db3.so-net.ne.jp>, closes: #85304
  * i386/mathinlines.h: Fix non-ANSI ?: construct, closes: #85322
  * sysdeps/unix/sysv/linux/mips/bits/mman.h: Add and fix some madvise
    declerations, closes: #86676
  * Explicitly list inetd to be restarted, closes: #86715
  * Updated Hurd SIOCS patch from Marcus Brinkman
    <Marcus.Brinkmann@ruhr-uni-bochum.de>, closes: #87903
  * Added eo_EO locale by Robert Thomson <sirrmt@dingoblue.net.au>
  * Check to make sure any services actually need to be restarted, closes:
    #88440
  * Conflict with old strace, which appears to break under new libc6,
    closes: #88775
  * Make sure we remove any CVS cruft, closes: #90173
  * Removed -O2 override for hppa, at Matt Taggart's request.
  * Build-Depend on latest gcc so we get the weak sym stuff right.
  * Made opt libs compiled specifically for 2.4.0+ kernels. This should
    make them even faster and smaller since it reduces the compatibility
    code.
  * libc-opt/DEBIAN/preinst: Check to make sure we are running under a
    2.4.0 kernel, and under the correct cpu
  * libc/DEBIAN/{prerm,postinst}: Changed check for package name to use
    basename of $0 as opposed to uname.

 -- Ben Collins <bcollins@debian.org>  Fri, 23 Mar 2001 10:30:47 -0500

glibc (2.2.2-1) unstable; urgency=low

  * New upstream version
  * Updated to CVS as of 2001-02-16, should make alpha build now.

 -- Ben Collins <bcollins@debian.org>  Thu, 15 Feb 2001 23:55:24 -0500

glibc (2.2.1-4) unstable; urgency=low

  * Fixup section "disparities" between control and overrides on
    ftp-master

 -- Ben Collins <bcollins@debian.org>  Tue, 13 Feb 2001 11:47:22 -0500

glibc (2.2.1-3) unstable; urgency=low

  * Update CVS, should fix regex memleak, closes: #85788

 -- Ben Collins <bcollins@debian.org>  Mon, 12 Feb 2001 22:57:56 -0500

glibc (2.2.1-2) unstable; urgency=low

  * Synced with CVS as of 2001-02-09, 2.2.2-pre1
  * shlibs: s/libdb1/libdb/
  * debian/rules (clean): remove shlibs file, since it is generated
  * move getaddrinfo patch to it's own .dpatch
  * Added some ia64 setups, closes: #82384
  * clean target, remove debian/control.in/libc?*, since they are
    generated
  * debian/control.d/main (locales): Fix description to reflect recent
    merging of the i18ndata package, closes: #82347
  * Added hppa patch from Matt Taggart <taggart@carmen.fc.hp.com>
  * db/ndbm.h: s,db.h,db1/db.h, closes: #83171, #83443
  * Added extra disclaimer to the locale postinst warning. closes: #83394
  * libc/DEBIAN/postinst: change logic in check for init. closes: #84287

 -- Ben Collins <bcollins@debian.org>  Mon, 29 Jan 2001 10:54:53 -0500

glibc (2.2.1-1) unstable; urgency=low

  * Upstream version 2.2.1 release, not many changes for us really, since
    we've been using CVS all along.
  * Included Hurd-SIOCS patch from Marcus Brinkman.
  * segfault.c: s/__access/access/. Patch sent upstream. closes: #82026
  * Increase shlibdep version to 2.2.1
  * Merged i18ndata package into locales package. closes: #81990
  * Added snmpd to the restart list, closes: #81736
  * Resynced bug list. Count is 57 now...

 -- Ben Collins <bcollins@debian.org>  Wed, 10 Jan 2001 08:55:08 -0500

glibc (2.2-11) unstable; urgency=high

  * Synced to CVS as of 2001-01-09 - 52 unique bugs and decrementing...
    This fixes the RESOLV_HOST_CONF security problem.
  * Included nscd(8), nscd_nischeck(8) and nscd.conf(5) man pages by
    Sebastian Rittau <srittau@jroger.in-berlin.de>. closes: 66365
  * /etc/init.d/nscd: Actually uncomment and use the nscd_nischeck to see
    if we want to start in secure mode.
  * debian/manpages/getconf.1: New manpage for getconf utility. closes:
    #63897
  * debian/manpages/catchsegv.1: New manpage for catchsegv utility.
    closes: #70740
  * debian/glibc-doc/usr/share/doc-base/glibc-manual: Fix for new html
    setup.
  * sysdeps/posix/getaddrinfo.c (gaih_inet): Try absolute lookups first.
    closes: #64192
  * manual/conf.texi (File Minimums): make _POSIX_PATH_MAX match the
    posix1_lim.h value, patch sent upstream aswell. closes: #81628

 -- Ben Collins <bcollins@debian.org>  Sun,  7 Jan 2001 16:15:34 -0500

glibc (2.2-10) unstable; urgency=low

  * Synced to CVS as of 2001-01-05 - 64 unique bugs and decrementing...
  * manual/stdio.texi: getline(): Clarify the return value if EOF is
    reached before a newline. Patch sent upstream aswell. closes: #14590
  * manual/string.h: basename()/dirname(): Added documentation for these.
    Basename() required two definitions, one for the GNU version, the
    other for the XPG version. Included examples. Patch sent upstream.
    closes: #27586
  * DISCLAIMER: All three of the above changelog entries did in fact change
    the state of the files in this source. It is the opinion of the
    maintainer (hereto after refered to as GOD), that the changes made do
    in fact make the package(s) better. GOD does not warantee that these
    changes will make your life (be it sex life, or no life) better. GOD
    does guarantee that you (hereto after refered to as NON-DIETY) will
    gain great wisdom simply by using this(these) package(s). The
    NON-DIETY shall not, in any event, hold GOD responsible for misreadings
    of these statements.

 -- Ben Collins <bcollins@debian.org>  Fri,  5 Jan 2001 10:46:42 -0500

glibc (2.2-9) unstable; urgency=low

  * CVS synced as of 2001-01-03. Happy freaking new year.
  * Remove FAKEROOT check, since we don't build locales now, we don't have
    to worry about it.
  * dlfcn/dlerror.c: dlerror(): Check for result->errstring being NULL,
    closes: #80991
  * No offense, but I cannot be expected to debug fortran programs
    compiled with a commercial(?), non-GNU compiler. Talk to them about
    getting it to work. As for the "works on RH, but not Debian", most
    likely that didn't do anything to make it very portable. closes: #68510
  * Tested with current NIS, and the test cases passes with no open fd's.
    closes: #52222
  * Make note of AMD in libc6-i[56]86 descriptions. closes: #77791
  * Make note about some commercial programs not liking our optimized
    libraries (IBM JDK for one). closes: #78656
    NOTE: To the submitter of this bugreport, I'm pretty sure the JDK
    relies on frame-pointer to handle some special ass-backwards stuff,
    which wont work with these libraries since they are compiled without
    frame-pointer (making it hard to strace, and debug using these libs).
  * Yes, semget(2) refers to SEMMSL, but nothing I can find says it should
    be defined in userspace. closes: #11560
  * This patch only applies to kernel-headers, and since they don't need
    to be used in userspace, it's ok to have some oddities, closes: #55578
  * I was able to write an 90 byte "Hello World" .c, and compile it into
    an 800 byte static binary using -nostdlib and -Wl,-lc. closes: #21676
  * Making an ar archive from one .o is just silly, closes: #58606
  * Patch sent upstream. Might change a bit, but the result should be the
    same, closes: #73003
  * I believe the reason the .pwd.lock file remains is to avoid a race
    condition, where something might be waiting for the lock, and
    unlinking it would cause something else to be able to obtain the lock,
    even though it isn't available. closes: #14093
  * I tried to reproduce this, but glob kept working right for me. I think
    the user is misusing the function. Most likely they are passing the
    glob on the command line, which is in turn doing some escape
    processing, and not working right with glob() itself. closes: #67921
  * In Debian, locales are not required to be installed. closes: #35875
  * Could not reproduce in the latest glibc. Upstream seems to have fixed
    this. closes: #75163
  * Bug report log says this is fixed in glibc 2.1.1, closes: #36775
  * I think this was an issue with the gcc-2.95 compiler defaulting to
    486 instruction sets. This was fixed by gcc some time ago. closes:
    #38998
  * The "order" directive in host.conf is supposed to be a space seperated
    list of sources, not comma. This is a bug in host.conf(5), which has
    already been reported. I'm closing this one to avoid duplication.
    closes: #35731
  * Appears to be related to #36775, but I checked the test case anyway,
    and it worked as expected. closes: #35035
  * I tried the test program, and it worked fine. So either guile or glibc
    fixed the bug already. closes: #36030
  * The locales package is not referenced by any other package ATM.
    closes: #38742
  * Symlink /usr/share/zoneinfo/localtime to /etc/localtime for libc5
    compat. closes: #48705
  * SUSv2 defines putenv as "int putenv(char *)", closes: #60960
  * From my understanding of of the SUSv2 definition, the pointer
    reference of inbuf may be incremented to the current position of
    translation. So in actuality, the object is not const. GLibc
    interprets this using the __restrict compiler option (defined in gcc's
    later than 2.92, e.g. egcs 1.1.2, and gcc 2.95). closes: #77312
  * Fixed ambiguity problem in tzconfig, closes: #69045
  * This was a netscape/libc5/plugin issue, closes: #50672
  * User error. He is setting all of the fd's in the pollfd struct to -1,
    which returns POLLNVAL, which is the expected response. closes: #51877
  * objstack_* does use const definitions now, closes: #68918
  * This was the old xmms-segv's-on-exit bug, fixed by glibc 2.1.9X (can't
    remember which version exactly). closes: #74345
  * leading zero makes sscanf determine the number as an octal, closes:
    #69278
  * zic.8: zdump is section 1, not 8. closes: #72095
  * Old libdb2 upgrade issue, fixed in during the 2.1.9x uploads. closes:
    #72663
  * Update this changelog to include the revisions from the stable (potato)
    updates.
  * Patch sent upstream. Fixes timezone showing up as "/etc/localtime".
    closes: #71060

 -- Ben Collins <bcollins@debian.org>  Tue,  2 Jan 2001 20:22:11 -0500

glibc (2.2-8) unstable; urgency=low

  * The one-liner fix for devpts.sh
  * Patch sent and accepted upstream, closes: #80485
  * CVS synced as of 2000-12-30

 -- Ben Collins <bcollins@debian.org>  Thu, 28 Dec 2000 09:49:30 -0500

glibc (2.2-7) unstable; urgency=low

  * Synced to CVS as of 2000-12-25
  * Patches sent upstream, closes: #75334, #34550, #71928, #11839, #75349
    closes: #38392, #68923, #77416, #39440
  * TCPOPT_EOL, TCPOPT_NOP, TCPOPT_MAXSEG: not declared in glibc (was a
    libc5 thing), so they don't need to be documented, closes: #9888
  * Use texi2html for .html output, which actually does split the file,
    closes: #61257, #76678
  * Hmm, not sure I can fix hamm->slink upgrades for libc6-doc->glibc-doc,
    closes: #32792, #32801
  * Fixed by upstream, closes: #62173, #10686, #37014, #54051, #57297
    closes: #53786, #74611, #37162, #41388, #60255, #63569, #67204
    closes: #67205, #60034, #42850, #60320, #39594, #59800, #48371
    closes: #66803
  * Could not reproduce. My test program showed that it resolved the
    libpthread properly. I am going to assume user error, or some
    funkiness on the user's system. closes: #78585
  * This is reported as a kernel issue, and the submitter was asked to try
    a newer kernel, but never replied. I'm closing on the grounds that I
    believe it was a kernel issue, closes: #45693
  * The iconv test program seems to work as expected in glibc 2.2,
    closes: #39762
  * lt_LT uses ISO-8859-13 now, closes: #10358
  * Things relying on sort to work correctly, should set LANG=C to get
    expected behavior, closes: #56195, #61746, #69544
  * Fixed long long ago, closes: #58226, #58586, #35948, #76246, #53530
    closes: #39584, #13800, #34452, #53894, #54096, #42490, #30683, #32468
    closes: #29619, #34816, #35113, #39071, #35334, #35497, #42867, #36212
    closes: #59316, #62826, #35131, #36952, #43659, #24090, #36076, #45041
    closes: #54156, #37307, #27146, #34729, #47457, #34699, #35250, #34538
    closes: #30054, #35389, #36655, #36762, #36932, #36933, #61163, #58954
  * We no longer build locales at build time, but at install time, closes: #69172
  * I don't see the problem in this testcase, works for me, closes: #73018
  * debian/control.in/main: Show in description that nscd also handles
    host lookups, closes: #48716
  * Unreproducable, probably fixed in 2.2, closes: #57026, #42726, #40768
    closes: #45848, #58367, #62990, #40870, #67296, #38897, #60099, #66769
  * nscd now has a --invalidate option, closes: #42727, #43729
  * adduser now calls nscd -i, so works correctly, closes: #36080
  * Hey, it's one of my bugs, and it isn't any good! closes: #34940
  * Yeah, I agree with the bug report. If you don't want nscd to run on a
    particular system, just uh, don't install it, closes: #36621
  * Setting Fixed to, closes: #47289
  * Do not use UNIX_PATH_MAX, use SUN_LEN(ptr) (defined in sys/un.h),
    closes: #61963
  * _PATH_DEFPATH is the bare minimum for linux. If you want more, use the
    PATH env, closes: #31983
  * The man page is wrong. dlerror.c, and dlfnc.h both show that the
    return string is allocated, so it is not const. closes: #35694
  * All together now, "Using kernel headers in userspace is BAD",
    closes: #12207, #19646, #43105
  * Ran the test case with -O0, -O2, -O3, -O6 on sparc and i386, and did
    not see the problem reported, closes: #37154, #27516
  * Seems perl has worked around this (or libc has), since perl modules
    are building fine, AFAICT, closes: #34110
  * Linus does not suggest doing /usr/include/{linux,asm} symlinks
    anymore. closes: #24949
  * This isn't a glibc bug, it was a gdb bug that is now fixed. closes: #27544
  * lrint is defined with -D_ISOC99_SOURCE, closes: #43530
  * No reference to which docs, nor is there a test case, so: closes: #63511
  * Doh, this was already fixed by me in 2.2-6! closes: #79666
  * User malfunction, not a bug. closes: #39648, #50261, #36075
  * Including stdio.h only ensures that getline will work, it does not
    guarantee you that it's return type is defined, which you must do
    yourself. closes: #62511
  * O_LARGEFILE is only usable when compiling with -D_LARGEFILE64_SOURCE,
    closes: #68873, #52455
  * Ok, strcoll doesn't seem as slow now as shown in the bug report when
    LANG is set. The thing is, this function will always be slower when it
    has to take localization into account. closes: #62803
  * Re bug #44093
    a) I'm pretty sure there is no problem with libc translating errno
       from the kernel, else we'de have some serious problems.
    b) The ioctl() manpage cannot document all returns (and in fact it
       says that it does not document all ioctl types).
    c) I'm pretty sure the EIO return on this particular case is generated
       by the kernel.
    closes: #44093
  * Tested this, and I was able to get 1022 temp files from mkstemp on a
    single run, using the same template, closes: #31415
  * Ulrich Drepper, Re: sortlist in libresolv:
     >It never was and in general is not wanted.  Beside, it is another poor
     >DNS feature which doesn't work with IPv6.  Finally, the NSS gethost*()
     >functions don't have the supporting code.
    closes: #64327
  * lpd should not be using internal glibc functions. closes: #33686
  * makedb -V has no translation now, closes: #34702
  * Checking printf returns is left to the programmer, closes: #28250
  * Ok, the 51 pages of flaming in tis bug report leads me to believe that
    this will never be resolved in glibc. IMO, it is up to the programmer
    to be smart enough to check these things (where it matters). I am
    closing this bug report on the precedence that it is not really a bug
    because current functionality meets specs (and this bug report would
    break that compatibility). This entire bug report should be archived
    all on it's own. Hell, it should have it's own BTS just to track the
    conversation. closes: #28251
  * mkstemp complies with SUSv2 and BSD 4.3. Changing it's bahvior would
    cause portability problems. closes: #34793
  * Downgrading is not supported, closes: #36578
  * The test case did not use pthread_detach(), which resolved the issue.
    closes: #25879
  * Fix devpts regex for when to mount devfs. closes: #79830
  * I believe Wichert found out that base-passwd did have a bug that was
    causing this, and fixed it. closes: #55367, #79043
  * First of all, I do think tzconfig manpage needs to be in section 8.
    However, changing the execute permissions does very little. In fact it
    does nothing. Since normal users don't have perms to change the system
    tz, it doesn't matter if they can execute tzconfig. closes: #62397
  * Added autofs to the services that need to be restarted.
    closes: #80453, #79926
  * Use neat dpkg/awk one-liner from Adam Heath to get list of installed
    services for the daemon check. closes: #80454
  * tzconfig allows you to choose UTC now. Just go to "12" (none of the
    above), and then choose UTC. closes: #38556, #35094
  * Ok, my opinion on this is that you should check dlopen's return every
    time. The example program shows that they did not do this. closes: #37604
  * Looks like a bug in haskell to me. closes: #37902
  * IIRC, all the BSD code is gone. closes: #58270
  * Bug report claims it is not a bug. closes: #42155
  * We have optimized libs now, so that should solve this. closes: #44619
  * I'm pretty sure this "large" wtmp file with only 3 entries is a sparse
    file (check with du). closes: #43950
  * I seriously doubt that ld.so's LD_LIBRARY_PATH stopped working.
    closes: #59110
  * I don't think this is a glibc bug. Sounds more like a cross-compiler
    bug. closes: #68424
  * In Debian, 2.1.2 and 2.1.3 are binary compatible. closes: #60113
  * To get i18n/charmaps, you need to install i18ndata. closes: #65132
  * We don't need to mount shmfs anymore, closes: #65510
  * Fixed by dpkg, closes: #66913, #64906

 -- Ben Collins <bcollins@debian.org>  Mon, 25 Dec 2000 08:42:49 -0500

glibc (2.2-6) unstable; urgency=low

  * Added m68k lchown fixes, plus removed conflict for libstdc++2.10-dev
    on m68k. Bug/patch provided by Michael Fedrowitz
    <michael.fedrowitz@informatik.uni-ulm.de>, closes: #78937
  * libc-opt: added memprof to the death list of packages that don't work
    with our optimized libraries, closes: #79224
  * Added Provides: glibc2.2 to libc6/libc6.1/libc0.2 so I can make
    locales dep on it, closes: #78495
  * CVS sync as of 2000-12-15
  * Fixed previously: closes: #75865, #77170, #75473
  * Added a "." counter while checking services for install, closes: #78881
  * %hhn works as expected in i386 in this version of glibc, closes: #79221
  * Looks like this is resolved, closes: #59429
  * The libc info page says not to use fgets on streams that may have NULL
    char's, which sockets might, closes: #57729
  * This is probably fixed, if not reopen it please, closes: #24414
  * Well this bug report has no report in the BTS, I am going to assume
    from the age and type of the title, that it is fixed, closes: #21272
  * Old ld.so issue, most likely resolved in hamm, closes: #46173
  * This bug is a simple programming mistake. For one the child never
  * fills the buffer in certain cases, so it's contents are never flushed.
    If the program called fflush after every output, then it works fine,
    closes: #26226
  * The new upgrade code in libc postint should resolve this, closes: #64074
  * This is a compilation error. libc.so.6 does not contains fxstat
    (libc-nonshared.a does), so if you don't link properly (like with
    gcc), you will miss some symbols, closes: #36139
  * Similar to the above, also resolved, closes: #30427
  * Old ld.so bug, fixed, closes: #70658
  * Current localedef doesn't seem to segv on improper input, closes: #65634, #64878
  * YAOLDSOB (Yet Another LDSO Bug), closes: #42944
  * Lack of useful info in the BTS ("I suspect glibc" doesn't cut it),
    closes: #36498
  * Someone needs to read release notes, closes: #41455
  * Uh, tzconfig works. Tzselect is not for changing timezones, but for
    querying what the available ones are. From tzselect(1):

      Note  that tzselect will not actually change the timezone
      for you. Use the tzconfig(8) utility to achieve this.
    
    So you see, this is how it's meant to be, closes: #37409
  * Fixed in glibc 2.2, closes: #42512
  * a) all init scripts need to support restart
    b) postinst uses stop/start now anyway
    c) postinst fails much better now when things go wrong

    closes: #52914
  * getaddrinfo does DNS lookups regardless because of the nature of the
    function. Also it handles ipv4/ipv6 better now, closes: #60743
  * I don't see why libc6 needs to create /etc/rcS.d/ when dpkg does it so
    closes: #66138
  * strstr seems pretty fast now, closes: #10689
  * Latest emacs/libc6 is working fine, closes: #48476
  * YAOLDSOB, closes: #42135
  * libstdc++-v3/glibc2.2 compiles fine together, closes: #66757
  * strerror() with maxerror+1 works as expected now, closes: #40184
  * No other info, and no similar reports. Assuming user error, closes: #31465
  * Old ssh-nonfree getting a sigsegv is not a bug in libc6, but sshd,
    closes: #41800
  * Restarting woffle already, closes: #74164
  * I believe this was due to some old nss1 issues, which are now resolved
    during upgrades, closes: #35089
  * This is something libc6 itself cannot fix. Either way, rsh/rlogin is
    broken by nature, closes: #19168
  * Well, I can't retroactively go back to hamm and add a stub for
    setresuid(), closes: #29675
  * Fixed upstream a long time ago, closes: #39693
  * From unix/getlogin.c:

    /* Get name of tty connected to fd 0.  Return NULL if not a tty or
       if fd 0 isn't open.  Note that a lot of documentation says that
       getlogin() is based on the controlling terminal---what they
       really mean is "the terminal connected to standard input".  The
       getlogin() implementation of DEC Unix, SunOS, Solaris, HP-UX all
       return NULL if fd 0 has been closed, so this is the compatible
       thing to do.  Note that ttyname(open("/dev/tty")) on those
       systems returns /dev/tty, so that is not a possible solution for
       getlogin().  */

    So basically, closes: #17528
  * Current nis/nss-compat code looks like it handles this right,
    closes: #33197
  * libc6 cannot compensate for broken coding, closes: #42912
  * nprocs is fixed in 2.2, closes: #57101
  * libdb.so.2 does have shlibs now, closes: #39578
  * getcwd now returns NULL in the case shown in this bug report, so there
    is no suprise if the program checks the return correctly, closes:
    #27227
  * Adduser now restarts nscd as needed, closes: #37296
  * getaddrinfo fixes for ipv4/ipv6 fixes this, closes: #58713
  * Programs using libc5/libc6 at the same time via dynamically loading
    libc5 apps from a libc6 apps) simply does not work, closes: #42088
  * getaddrinfo fix, closes: #70012
  * libc-64 was never meant to work right, closes: #53748
  * libNoVersion.so.1 is gone, closes: #37681
  * libc/postinst is file-rc friendly now, closes: #40053
  * libdb2 is no longer a reference for libdb stuff, closes: #61154
  * ld.so/ldconfig now have man pages, closes: #41917
  * Bah, libtricks is old and gone, closes: #39080
  * /var/state/glibc is gone, closes: #39562, #39705
  * glibc no longer includes db/db2, so look for docs in those seperate
    packages, closes: #23547
  * scsi/scsi.h is there, closes: #31502
  * linux/joystick.h is there, closes: #38028
  * db.h is no longer in libc6-dev, closes: #39077, #74945
  * nprocs works on sparc now, closes: #52420
  * ldd now supports libc5 better, closes: #35644
  * Unreproducable, closes: #39582, #25773, #35624, #35123
  * /var/lib/misc/Makefile does not refer to /var/db, closes: #41947
  * llseek is obsolete, use lseek64 now, closes: #20988
  * Actually this looks like an error in the program, closes: #41952
  * Hmm, I would guess that libc6/libc5.4.38 is correct, and libc5.4.17 is
    wrong, close: #21839
  * Fixed in the Before Time, during the Great Long-Long Ago,
    closes: #39585, #34442, #59622, #24652
  * That's all for now...

 -- Ben Collins <bcollins@debian.org>  Fri, 15 Dec 2000 15:30:16 -0500

glibc (2.2-5) unstable; urgency=low

  * Update to CVS as of 2000-11-27
    - Includes hppa config stuff
  * Ok, libsafe seems to be broken with our optimized packages. I
    reassigned the bug report to that package. Most likely this wont be
    fixed in libsafe for a bit, so for now I am making the optimized
    packages conflict with it. The likely cause is the inline string
    functions (-D__USE_STRING_INLINES).
  * libc/postinst: added lprng and lpr to the list of daemons to restart,
    closes: #78132

 -- Ben Collins <bcollins@debian.org>  Mon, 27 Nov 2000 11:33:25 -0500

glibc (2.2-4) unstable; urgency=low

  * Dear god! Who changed things to a symlink in the kernel-headers and
    didn't tell me of all people!? This must be a conspiracy! Some one is
    out to get me! Everyone, I am going to go underground until the
    security of my system is safe once again! (btw, I fixed the asm
    include problem before I took a vacation from my sanity...)

 -- Ben Collins <bcollins@debian.org>  Thu, 23 Nov 2000 18:19:24 -0500

glibc (2.2-3) unstable; urgency=low

  * Damn, really remove libc6 dep from locales this time
  * Include shlibs file with optimized libs, so dpkg-shlibdeps will be
    happy with people using them.
  * Added updates eo_EO locale

 -- Ben Collins <bcollins@debian.org>  Wed, 22 Nov 2000 15:40:12 -0500

glibc (2.2-2) unstable; urgency=low

  * Update to CVS to 2000-11-19
    - Includes the ldconfig patch, so removed from local set
    - WOOHOO! Includes a patch to getaddrinfo, so that it only returns
      failure if both ipv4 AND ipv6 lookups fail for PF_UNSPEC.
      closes: #72764, #72905, #74692, #74692, #74367, #75388, #74692
    - Now includes the USAGI ipv6 patch
  * control/locales: remove $(libc) dep...bad for a arch-all package,
    closes: #76830
  * Move locales to binary-indep targets, closes: #76830
  * Add another hppa patch for _setjmp. Also, make hppa build with -O for
    now.
  * libc-dbg: make debug/ld*.so executable
  * $(libc): suggests libnss-db
  * locale-gen: set umask to 022, closes: #77191
  * etc/locale.gen: uncomment en_US as a default
  * debian/sysdeps/optimized.mk: New make snippet, which allows building
    optimized sets of runtime libraries. Right now, only sparc and i386
    seem to support hwcap, so we only build i586, i686 and v9 optimized
    libraries. When other archs start supporting hwcap, then they too can
    join the club.
  * prep.sh: use ./version, so ash will work too
  * Fixed prior to this release: closes: #71938, #75295, #75488, #76168

 -- Ben Collins <bcollins@debian.org>  Sun, 19 Nov 2000 16:32:27 -0500

glibc (2.2-1) unstable; urgency=low

  * ALL HAIL GLIBC 2.2 RELEASE! Please put seats in full upright position,
    remain seated until installed, and do not panic. The ride is almost
    over. Once you have installed Glibc 2.2, please procede to our new
    Debian-Rough-Ride, Xfree86-4.0.1, which is currently in progress.
  * glibc22-ipv6-USAGI.dpatch: New patch, brings some stability and
    compatibility to ipv6. This will most likely fix ipv6 issues with
    things like ssh (let me know).
  * Totally whack job on the locales package! We now do not provide *any*
    precompiled locales. Instead we allow the admin to selectively decide
    which ones to compile.
  * Start of support for future upgrades. A new patch that should make
    upgrades easier, post woody. This deals soley with the NSS module
    problem and daemons running during upgrade.
  * glibc22-hppa-config-fix: Fix config.{sub,guess} so hppa builds (From
    the nice Debian folks at HP). BTW, where's my HP/PA BOX!? :)
  * glibc22-ldconfig-fix: Fix bad allocation in ldconfig
  * Bugs closed by this release: closes: #74057, #74362, #74692, #75249,
    #75956, #76390, #76451

 -- Ben Collins <bcollins@debian.org>  Fri, 10 Nov 2000 12:47:02 -0500

glibc (2.1.97-1) unstable; urgency=low

  * New upstream, + recent CVS
    - includes lockf fix now
    - fixes fmemopen issues
    - adds ja_JP.ujis alias, closes: #72686
    - fixes for sparc mathinline.h
    - lots of locale related updates
    - mips patches are now included upstream
  * depflags.pl: added replaces ldso for libc6 too (ldd), closes: #76126
  * Set --enable-kernel for Linux builds, so we can control how much
    backward compatibility we have.
  * Fix build-depends for gcc to include epoch
  * Up'd the shlibs deps to 2.1.97
  * Removed static nss

 -- Ben Collins <bcollins@debian.org>  Tue,  7 Nov 2000 14:04:36 -0500

glibc (2.1.96-1) unstable; urgency=low

  * New upstream release (close to a final 2.2), closes: #73058
    - fixes ld.so reference counting (fixes some obscure bugs with
      loadable modules, like NSS).
    - fixes for ppc
    - netinet/tcp.h fixes for uint8, closes: #74061
    - fixes limits.h/LONG_MAX declerations, closes: #75720
  * When running "$(MAKE) test" use -k so we complete as much as possible
  * db/Makefile: remove patch that inhibited the db1 headers. Now, db1
    applications can be built again. This is temporary, to give poeple
    time to migrate (db2 maintainer can use this for db_dump185),
    closes: #72723
  * shlibs.mk: Use $(objdir)/soversions.i for generating the shlibs file,
    which is more correct. Thanks to Marcus Brinkman for pointing this
    out, closes: #75685
  * debian/glibc-doc/usr/share/doc-base/linuxthreads-faq: removed, no
    longer in upstream source, closes: #74046
  * libc/postinst: added wu-ftpd, wu-ftpd-academ, slapd, openldapd and
    logind to list of daemons to to restart, closes: #74158
  * libc/postinst: added support for filerc, thanks to Roland Rosenfeld
    <roland@debian.org>, closes: #74290
  * libc/postinst: check for existence of /sbin/init before restarting it,
    closes: #75310
  * sysdeps/depflags.pl: Change g++ conflict to libstdc++-dev so we
    precludes the right package (i.e., we need a newer libstdc++-dev, not a
    new g++), closes: #75019
  * sysdeps/depflags.pl: make libc6 depend on libdb2 from woody so we
    don't make apt act all weird with a three layer dependency of sorts
    (ask Jason, I'm not sure of all the issues, but it seems it is needed
    for now), closes: #75601, #75689
  * sysdeps/generic/lockf.c: explicitly set l_type to F_RDLCK (help from
    Anton on this one)
  * dl-machine.h.mips-2: new patch from Florian Lohoff <flo@rfc822.org> to
    fix ld.so segv on mips (I expect to see some .deb's in the official
    archive soon, my Indy is getting jealous :)

 -- Ben Collins <bcollins@debian.org>  Sun, 29 Oct 2000 16:39:12 -0500

glibc (2.1.95-1) unstable; urgency=low

  * New upstream release
  * debian/sysdeps/depflags.pl: Don't conflict/replace old libdb2, just
    conflict.
  * debian/libc/DEBIAN/postinst: Don't just check the service name with
    "dpkg -s" since we miss things like inetd, which isn't in a package
    named "inetd". Check for "installed" and "", then -x of the init.d
    file
  * debian/patches/ldd.dpatch: fixup so we don't get double output of
    libraries, closes: #72710
  * debian/sysdeps/depflags.pl: Hmm...where did the libnss-db dep go
    anyway? There now.
  * debian/manpages/: Added man pages for ldd, ldconfig and ld.so
    to replace the ones removed from ld.so, closes: #72648, #72727
  * locales fixed in -2, closes: #72752

 -- Ben Collins <bcollins@debian.org>  Mon,  2 Oct 2000 11:18:48 -0400

glibc (2.1.94-3) unstable; urgency=low

  * updated CVS post-2.1.94 to 20000929
  * Put db/db2 libs back in for runtime use only (not linkable and no
    headers). Closes a shitload of bugs, and makes everyone happy. Oh, let
    the sun shine down.
  * alpha-dwarf2-dl-machine: merged upstream
  * debian/sysdeps/depflags.pl: removed all the db2 cruft conflicts
  * debian/libc/DEBIAN/postinst: Use /etc/rc${rl}.d/ instead of
    /etc/init.d/ when restarting services. This way, we don't start any
    services that were meant to be off. Also, check for a non-zero exit when
    starting and report such failures. This will give people a heads up to
    any problems.

 -- Ben Collins <bcollins@debian.org>  Fri, 29 Sep 2000 16:29:59 -0400

glibc (2.1.94-2) unstable; urgency=low

  * Removed WANT_LDD, we now install it for every arch. This removes the
    need for the ldso package completely, on systems without libc5 (YAH!)
  * debian/sysdeps/depflags.mk: removed cruft
  * debian/sysdeps/depflags.pl: new script with a simplified control deps
    setup to replace depflags.mk. The former was getting too complex
  * debian/rules.d/shlibs.mk: fixed logic preventing it from actually
    installing the new shlibs file
  * debian/sysdeps/depflags.pl: Added lots of conflicts for NMU'd packages
    that fell prey to the db2 problems.
  * debian/contron.in/main: Fix nscd depend on libc6

 -- Ben Collins <bcollins@debian.org>  Wed, 27 Sep 2000 10:09:51 -0400

glibc (2.1.94-1) unstable; urgency=low

  * New maintainer, "Lector, si monumentum requiris, circumspice"
  * New upstream version, pre 2.2 now
    - crypt is now in glibc source, so is not a seperate tarball
    - removed nss1 compat tarball
    - db2 is gone aswell
    - without db2, upstream split nss_db from main source (*sigh*)
  * Added inetd to list of services to restart
  * modfl/fmodl: documented in info pages, closes: #17874
  * Just a quick list of bugs that I can verify do not exist any longer,
    closes: #45903, #26514, #46547, #32345, #30987, #48713
  * fcloseall: in the case of stdio/fcloseall.c, yes, it only ever
    returns success. However, we use libio/fcloseall.c, who does in fact
    have a chance to return EOF, closes: #20973
  * libio/libio.h: shows that the Stream Hooks do in fact take (void *) as
    the first argument as shown in the protos, closes: #61497
  * trunc/floor: documented correctly in this release, closes: #65683, #65684
  * Hurd maintainers say this can be closed, closes: #54154
  * I'm pretty sure this isn't an issue anymore, else potato wouldn't be
    releasing, closes: #35049
  * Sorry this isn't a glibc bug. The kernel handles error returns on a
    failed executable. Most likely this is bin_interp's problem, but I
    seriously doubt it will be fixed because of conventions, standards and
    the like, closes: #22301
  * keyenvoy: no longer compiled for linux (it seems), closes: #47560
  * infnan: is defined now, closes: #19264
  * libc5 bug, no longer applies, closes: #11300
  * Make sure we copy over asm-sparc for sparc aswell as "generate-asm.sh"
    script used to generate /usr/include/asm
  * Disable parallel build on sparc (broken for some reason, might not be
    sparc specific)
  * devpts.sh: used a more devfs friendly version from bug submitter,
    closes: #65276
  * libc/postinst: cannot reproduce problem, appears to be user error,
    closes: #64865
  * glibc-doc: this bug is no longer valid, closes: #33759
  * We now use ldconfig from libc6 for all archs, ldso will conform.
  * Change build deps to just "kernel-headers" for non-Hurd archs. With
    mips and other coming down the pipe, this is bound to get ugly if we
    specify the particular version for each.
  * Add checks to automatically detect proper kernel-headers, error out
    otherwise.
  * hurd: add Depends: hurd (>= 20000803) for libc0.2
  * libpthread: soname version is now 0.9
  * debian/libc/DEBIAN/shlibs: bump to 2.1.94
  * libc6: add temporary depend on libdb2
  * debian/rules: check for FAKEROOTKEY, and fail if it's there. We cannot
    build under fakeroot, we need real rewt. Fear my hacking skillz.

 -- Ben Collins <bcollins@debian.org>  Mon, 25 Sep 2000 11:30:45 -0400

glibc (2.1.3-14) stable; urgency=low

  * Stable upload for some serious issues in potato
  * Patch to match glibc 2.2 to not set personality, closes: #72165
  * Arm ld.so patch, closes: #75982
  * Add check for FAKEROOTKEY, to $(checkroot) to make sure we build as
    real root, and not fakeroot. This is required for locale definitions
    to be generated properly. closes: #70806, #70876
  * Backport the fix to lockf(F_TEST), which fixed this on alpha and
    sparc.

 -- Ben Collins <bcollins@debian.org>  Tue,  2 Jan 2001 17:15:44 -0500

glibc (2.1.3-13) stable; urgency=low

  * Damnit...used the 0824 patch set, now there's an 0827 :/

 -- Ben Collins <bcollins@debian.org>  Fri,  1 Sep 2000 10:54:11 -0400

glibc (2.1.3-12) stable; urgency=low

  * Ugh, add three patches posted by Solar Designer which include the ldso
    bug (better patch), locales bug, and md5 fixups.

 -- Ben Collins <bcollins@debian.org>  Thu, 31 Aug 2000 11:10:46 -0400

glibc (2.1.3-11) stable; urgency=low

  * Security upload for ldso problem
  * Fix sparc headers too
  * Might aswell change the maintainer too (So long Joel, you are missed)

 -- Ben Collins <bcollins@debian.org>  Thu, 31 Aug 2000 11:10:36 -0400

glibc (2.1.3-10) frozen unstable; urgency=low

  * The "Ask not for whom the feep tolls" release.
  * zic -l will use hardlinks if /etc and /usr are on the same
    filesystem, so revert to ln -s.
  * Update Build-Depends to kernel-headers-2.2.15.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Fri, 28 Apr 2000 18:45:49 -0700

glibc (2.1.3-9) frozen unstable; urgency=low

  * The "Insert clever reference here" release.
  * debian/patches:
    - i386-sys-io-c++: Change '::' to ': :' to avoid confusing g++
      + closes: Bug#57914
    - zic-l: Fix -l in zic(8) (taken from OpenBSD)
  * Teach tzconfig to acquire current timezone from /etc/localtime
    symlink if necessary.
  * Use zic -l instead of ln to make /etc/localtime symlink.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Fri, 21 Apr 2000 13:30:47 -0700

glibc (2.1.3-8) frozen unstable; urgency=low

  * The "What's my name? Say my name, bitch!" release.
  * debian/patches:
    - i386-linux-ucontext: Don't use ERR.
      + closes: Bug#59962
    - ldd:
      + Improve non-executable shared object handling.
      + Revert ${RTLD} --list stuff. (closes:Bug#60869)
      + alpha will break again, someone needs to fix ld.so.
  * debian/control.in/main: locales: Depends: @libc@ (= ${Source-Version})
    This will insulate us from data format changes.
  * Fix tzconfig man page (closes:Bug#61610,#61613).
  * Revert /etc/localtime to a symlink (closes:Bug#60744).

 -- Joel Klecker <debian-glibc@lists.debian.org>  Mon,  3 Apr 2000 08:40:07 -0700

glibc (2.1.3-7) frozen unstable; urgency=low

  * The "Light my Alpha fire with a SPARC" release.
  * debian/patches:
    - libc-pr-fixes: Fixes for post-2.1.3 PRs
      + closes: Bug#59802,#59257
    - tzdata2000c: Includes AR timezone correction
      + closes: Bug#59790,#59806
    - sparc-linux-getsysstats: Update so it actually works.
    - alpha-dwarf2-dl-machine: Fix for unaligned traps from C++ EH code
      + closes: Bug#59789

 -- Joel Klecker <debian-glibc@lists.debian.org>  Tue,  7 Mar 2000 10:31:42 -0800

glibc (2.1.3-6) frozen unstable; urgency=low

  * The "Smash Everything with a _Huge Steamroller_!" release.
  * debian/sysdeps/gnu.mk: Define WANT_LDD (closes:Bug#59165).
  * debian/libc/DEBIAN/preinst: Make this as /bin/bash script (closes:Bug#59613).
  * debian/libc/DEBIAN/postinst:
    - Only make /var/mail symlink on upgrades.
    - Make this a /bin/bash script.
  * debian/sysdeps/depflags.mk: (libc_control_flags)
    C/R/P gconv-modules where necessary, Replace locales (<< 2.1.3-5).
  * debian/control.in/main: Build-Indep-Depends: perl5 (closes:Bug#59350).
  * debian/libc/etc/init.d/devpts.sh: Remove version check, checking for
    the filesystems alone should be sufficient (closes:Bug#59576).

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sat,  4 Mar 2000 09:28:08 -0800

glibc (2.1.3-5) frozen unstable; urgency=high

  * The "Down, not across" release.
  * 2.1.3 final.
  * Pre-Depends were a bad idea
    - quit using readlink.
    - removed pre-depends on debianutils.
  * Add devpts.sh again, this time not as a conffile.
  * Build-Depends: gcc (>= 2.95.2-6) [alpha], remove sharutils [alpha].
  * Move /usr/lib/gconv to $(libc).

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sat, 26 Feb 2000 00:14:34 -0800

glibc (2.1.3-4) frozen unstable; urgency=low

  * The "Pain as bright as steel squared" release.
  * glibc 2.1.3pre4.
  * Remove debian/patches/po-it-po.dpatch,
    debian/patches/powerpc-linux-sys-procfs.h.dpatch, and
    debian/patches/powerpc-linux-syscalls.list-mmap64.dpatch;
    Integrated upstream.
  * Add back debian/patches/linuxthreads-lock.dpatch now that I know
    what it's for (closes:Bug#58385).
  * Bugs closed since devpts.sh is gone (closes:Bug#57584,#57698,#57580).
  * debian/libc/DEBIAN/preinst:
    - Save a copy of /etc/timezone in /etc/timezone.save.
    - Convert /etc/localtime from link to file.
  * debian/libc/DEBIAN/postinst:
    - Use /etc/timezone.save if necessary. (closes:Bug#57885,#57922).
    - Remove some unnecessary timezone code that caused some odd behavior
      (closes:Bug#57456).
  * tzconfig: /etc/localtime is a file, not a link.
  * $(libc): Pre-Depend on debianutils (>= 1.13.1) for readlink.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Fri, 18 Feb 2000 17:35:19 -0800

glibc (2.1.3-3) frozen unstable; urgency=low

  * The "Pain as bright as steel" release.
  * Move iconv, locale, localedef to $(libc).
  * Remove devpts.sh.
  * debian/patches/po-it-po.dpatch:
    Add "portable object" for Italian (closes:Bug#57031).
  * $(libc): Replaces: locales (closes:Bug#57482).
  * Add Build-Depend for gettext (closes:Bug#57797).

 -- Joel Klecker <debian-glibc@lists.debian.org>  Fri, 11 Feb 2000 13:02:13 -0800

glibc (2.1.3-2) frozen unstable; urgency=low

  * The "Dark, Naughty Evil" release.
  * debian/patches/powerpc-linux-sys-procfs.h.dpatch:
    Fix sys/procfs.h for powerpc-linux.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Mon,  7 Feb 2000 17:38:54 -0800

glibc (2.1.3-1) frozen unstable; urgency=low

  * The "From now on all of my world-killing weapons will be kept a TOTAL SECRET!" release.
    or the "Brown Paper Bag" release.
  * Really fix devpts.sh
    (closes:Bug#56659,#56687,#56726,#56770,#56782,#56893,#56941,#56850,#56659,#57049,#57005,#57156,#57183).
  * Give up and call it 2.1.3.
  * CVS as of 2000-01-31.
  * Move some docs from glibc-doc back to $(libc).
  * Make /etc/init.d/devpts.sh and /etc/default/devpts conffiles (closes:Bug#57081).
  * Reenable libnss1-compat..

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sun,  6 Feb 2000 08:55:41 -0800

glibc (2.1.2-13) frozen unstable; urgency=low

  * The "@!%$&! you, I use Debian" release.
  * debian/patches/powerpc-linux-syscalls.list-mmap64.dpatch:
    Fix mmap and stuff (closes:Bug#56343).
  * Add sharutils [alpha] to Build-Depends, drop gcc dep.
  * $(libc): conflict with locales (<< 2.1.2-12).
  * locales: replaces $(libc)-bin (closes:Bug#56540,#56536,#56534).
  * Fix devpts.sh (closes:Bug#56487,#56507,#56559).
  * Update to CVS as of 2000-01-29.
  * Restore HTML to glibc-doc (closes:Bug#56609).

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sun, 30 Jan 2000 01:14:05 -0800

glibc (2.1.2-12) frozen unstable; urgency=low

  * The "Cardboard Messiah" release.
  * debian/rules: Form arch_packages and indep_packages using += instead
    of $(filter-out ...).
  * debian/package-rules/locales.mk: Remove cross-compiling kluges.
  * debian/package-rules/libc-dbg.mk: Fix libthread_db (closes:Bug#55439).
  * debian/control.in/main:
    - locales: Architecture all -> any.
    - Build-Depends:
      + add make (>= 3.78) due to use of new warning and error make functions.
      + add gcc (>= 2.95.2-5) for alpha.
  * Merge gconv-modules back into locales.
  * Move locale and localedef programs back into locales.
  * Put devpts.sh init script back in $(libc). (closes:Bug#50913,#53842)
  * Add Replaces for timezones back into $(libc).
  * Kill $(libc)-bin.
  * Restore `tzselect' script, which slipped out of $(libc) (closes:Bug#55377)
  * Bugs fixed in -11.0.1 (closes:Bug#53705,#53659,#53680,#53754
  * Update to CVS as of 2000-01-26.
  * Eliminate obsoleted patches.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Wed, 26 Jan 2000 16:44:12 -0800

glibc (2.1.2-11.0.1) unstable; urgency=low

  * Binary-only upload of locales.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Wed, 29 Dec 1999 11:45:56 -0800

glibc (2.1.2-11) unstable; urgency=low

  * The "If it ain't broke, you're not tryin'" release.
  * Split out $(libc)-bin and libnss1-compat. 
  * Split debian/rules into debian/package-rules/*.
    $(libc-bin):
      - Install db_* programs as glibcdb_*.
      - Move zic, zdump, locale, localedef, getent here.
      - Use alternatives for db_*. (closes:Bug#50311,#50341)
  * debian/mk/rules-* -> debian/rules.d/*.
  * debian/<pkg> now resembles $(tmpdir) tree for <pkg>.
  * Improve setperms rule, so debian/perms can specify fewer files.
  * New source unpacking system, see prep.sh.
  * Remove devpts.sh, the init script is now in sysvinit.
  * Improve debian/libc/DEBIAN/shlibs rule (debian/rules.d/shlibs.mk).
  * debian/sysdeps/soname.mk: Bump shlib_depend.
  * Add sysdeps files for $(DEB_HOST_GNU_CPU).
  * Add debian/patches/glibc-mega.dpatch:
    Selected patches from CVS (closes:Bug#48120,#52195).
  * Add debian/patches/linuxthreads-mega.dpatch:
    Selected patches from CVS.
  * Add debian/patches/alpha-pt-machine.h.dpatch:
    Fix pt-machine.h so that linuxthreads compiles on Alpha.
  * Add debian/patches/db2-alpha-powerpc-mutex.dpatch:
    Alpha and PowerPC implementations for db2 spinlocks.
    (patches by David Huggins-Daines <dhd@debian.org>)
    (db2 patch slightly modified)
  * Add debian/patches/powerpc-plt.dpatch:
    1999-10-07  Geoffrey Keating  <geoffk@cygnus.com>
      * sysdeps/powerpc/dl-machine.c: Many minor formatting changes.
        (OPCODE_LWZU): New macro.
        (OPCODE_ADDIS_HI): New macro.
        (OPCODE_LIS_HI): New macro.
        (__elf_machine_runtime_setup): Change PLT code-generation scheme
        for thread safety even with very large PLTs, better efficiency,
        and to fix a cache-flushing bug.
        (__elf_machine_fixup_plt): Likewise.
        (__process_machine_rela): Don't use elf_machine_fixup_plt.
  * Add debian/patches/sparc64-linux-lib64.dpatch:
    Use /lib/64 and /usr/lib/64 instead of /lib64 and /usr/lib64.
  * Add debian/patches/sparc64-linux-execve.dpatch:
    Add __syscall_execve to sparc64 syscalls.list.
  * Add automatic parallel build support for SMP systems.
  * Fix broken parsing of DEB_BUILD_OPTIONS.
  * Add framework to build libc6-64 and libc6-64-dev packages for sparc
    (not enabled for potato).
  * Split locales into `locales' and `i18ndata'.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sat, 25 Dec 1999 09:54:29 -0800

glibc (2.1.2-10) unstable; urgency=low

  * The "Omigod! I overdosed on heroin!" release.
  * debian/devpts.init: Create /dev/ptmx unconditionally.
  * Restore correct nscd DEBIAN dir.
  * Revamp rules a bit (split more parts into debian/mk/rules-*).
  * debian/mk/sysdeps.mk: Split into pieces and include them.
  * debian/patches/tzcode1999h.dpatch:
    Update timezone data to 1999h release.
  * Add stub for support for libc6-64 packages for sparc.
  * Add one more last timezone sanity check to libc postinst (closes:Bug#49539).
  * Always unpack linuxthreads add on and pass --enable-add-ons=crypt to
    configure for hurd (closes:Bug#49459).

 -- Joel Klecker <debian-glibc@lists.debian.org>  Mon,  8 Nov 1999 09:47:28 -0800

glibc (2.1.2-9) unstable; urgency=low

  * The "Service with a capital 'Bugger Off'" release.
  * debian/copyright: Update for 2.1.2.
  * debian/rules: Make each binary package depend on setperms (closes:Bug#48914).
  * Move debian/libc-doc to debian/glibc-doc and eliminate the need for
    postinst and prerm to be generated files. (closes:Bug#48786).

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sun, 31 Oct 1999 09:23:16 -0800

glibc (2.1.2-8) unstable; urgency=low

  * The "Can't Start a Fire Without a SPARC" release.
  * Build with unstable dpkg.
  * debian/patches/sparc-various.dpatch: Various sparc-specific patches
    from Jakub Jelinek <jakub@redhat.com> and David S. Miller <davem@redhat.com>.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sat, 30 Oct 1999 06:55:33 -0700

glibc (2.1.2-7) unstable; urgency=high

  * The "Fuck Me Harder" release.
  * sparc-linux: Replaces: ldso (<< 1.9.11-6).
  * debian/{libc.postinst.in,libc/prerm}: Add /usr/doc symlink stuff (closes:Bug#48324).
  * debian/control.in-main: Adjust locales depends.
    Correct Build-Depends: field.
  * debian/mk/source-rules.mk: Split unpack-source, source, and orig-source
    targets from debian/rules.
  * debian/patches/manual-texinfo4.dpatch: Use @ifnottex instead of @ifinfo.
  * Use makeinfo --html to generate HTML version of glibc manual.
  * Remove texi2html from debian/scripts.
  * Fix debian/scripts/Makefile for cross-compiling.
  * Correct debian/patches/string2-pointer-arith.dpatch for archs that don't
    support unaligned memory accesses.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Fri, 29 Oct 1999 09:06:27 -0700

glibc (2.1.2-6) unstable; urgency=low
  
  * The "Evil Bitch Monster of Death" release.
  * debian/rules: Move debian/control targets to...
    debian/mk/debian-control.mk.
  * Move debian/*.mk to debian/mk/.
  * Use debian/<pkg>/* for control archive items.
    Adjust debian/rules for this.
  * Add setperms target to set modes of debian/<pkg>/*.
    Make unpack-source and clean depend on it.
  * Don't compile with -g when DEB_HOST_GNU_CPU is alpha.
  * debian/patches/string2-pointer-arith: New file.
    Fix "/usr/include/bits/string2.h:419: warning: pointer of type `void *'
    used in arithmetic" (closes:Bug#45824,#44491,#44697)
  * Change maintainer back to "Joel Klecker <debian-glibc@lists.debian.org>".
  * Update to CVS sources as of 1999-10-24.
  * debian/patches/{linuxthreads-signals.c-ucontext,cs-po}.dpatch:
    Fixes for source tree brokenness.
  * Adjust clean target for new generated files.
  * Add libresolv to $(libc)-pic.
  * Add readlink.c and texi2html to debian/scripts to eliminate tetex-bin dependency.
  * nscd: Install nscd_nischeck.
    Sync nscd.init with upstream.
  * Implement /usr/doc symlinks.
  * $(libc): strip libpthread with --strip-debug.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sun, 24 Oct 1999 20:50:58 -0700

glibc (2.1.2-5) unstable; urgency=low

  * The "One more week to go" release.
  * debian/patches/localedata-SUPPORTED:
    Oops, this patch wasn't actually being applied.
    eo_EO, zh_TW.Big5, and es_AR should be [back] in locales now.
    Back out zh_CN, the definition is broken.
  * Remove sparc from HAVE_LIBC{4,5}, we want to install our ldd.
  * debian/patches/sparc-linux-ldd.dpatch: New file.
    Restore missing patch (in ChangeLog, not in source).
  * debian/sysdeps.mk: Tighten alpha shlib_depend to libc6.1 (>= 2.1.2-1).

 -- Joel Klecker <espy@debian.org>  Tue, 28 Sep 1999 04:55:35 -0700

glibc (2.1.2-4) unstable; urgency=low

  * The "Perl Sucks" release.
  * debian/libc.postinst: Steal updatercd shell function from sysvinit postinst.
    Use it for devpts.sh. (closes:Bug#45867,#45879,#45880,#45885,#45895)
    Bitch-slap perl maintainers. :)
  * debian/rules: nscd: run nscd.conf through sed 's/adm/log/'.
  * debian/patches/sparc-llnux-chown.dpatch: Update from Ben Collins.
  * debian/sysdeps.mk: Drop sparc-linux depends back to libc6 (>= 2.0.105).

 -- Joel Klecker <espy@debian.org>  Fri, 24 Sep 1999 12:39:26 -0700

glibc (2.1.2-3) unstable; urgency=low

  * The "Pot-smoking Pikachu" release.
  * debian/rules: Don't install ldd man page on i386/m68k (closes:Bug#45421).
    check: Don't depend on build.
    Symlink db_dump185 manpage to db_dump manpage (closes:Bug#42322).
    $(libc)-pic: Install map file for libm.
      Install map files as $(libdir)/libfoo_pic.map.
  * debian/patches/zh_TW.Big5-locale.dpatch:
    Split into localedata-charmap-BIG5_1984 and localedata-zh_TW.Big5.
  * debian/patches/eo_EO-locale.dpatch: Rename to...
    localedata-eo_EO.
  * debian/patches/localedata-SUPPORTED.dpatch: New file.
    Add eo_EO, es_AR (closes:Bug#37162), zh_CN.GB2312 (closes:Bug#38553),
    zh_TW.Big5.
  * debian/patches/pthread_create-manpage.dpatch: New file.
    Correct pthread_create manpage to match texinfo documentation
    (closes:Bug#22119).

 -- Joel Klecker <espy@debian.org>  Wed, 22 Sep 1999 19:16:01 -0700

glibc (2.1.2-2) unstable; urgency=low

  * The "Bite Me" release.
  * debian/rules: $(libc): strip pt_chown.
    Don't install ldd on i386/m68k.
    Query dpkg-architecture variables individually.
    Use bunzip2 -c ... | tar xf - instead of tar yxf.
    $(libc)-pic: Add libm_pic.a.
    check: New target; run test suite.
    Call make with SHELL=/bin/bash, as the test suite seems to rely on
    bash behavior.
    Use --strip-unneeded (closes:Bug#40467).
  * debian/sysdeps.mk: reorganize.
  * debian/patches/generic-getenv.dpatch: New file.
    1999-09-10  Andreas Schwab  <schwab@suse.de>
  
      * sysdeps/generic/getenv.c (getenv): Fix lookup for single
        character variable on bigendian platforms without unaligned memory
        access.
  
 -- Joel Klecker <espy@debian.org>  Thu, 16 Sep 1999 14:41:28 -0700

glibc (2.1.2-1) unstable; urgency=low

  * The "Gone Evil" release.
  * glibc 2.1.2 final.
    - Properly free mmaps for archs without spinlocks in db2 (closes:Bug#43786).

  * debian/rules: configure: Fix hurd part (missing \).
    Add frame.o hack for alpha.
    Use CFLAGS instead of default_cflags.
    Create srcdir for each arch.
    Remove arch/indep patch split.
    New directory layout (build/foo-<arch> -> build/<arch>/foo).
    Use bz2 tarballs.
  
  * debian/patches/sparc-linux-types.dpatch: Remove, applied upstream.

  * devpts.sh never used any bashisms (closes:Bug#43296).

 -- Joel Klecker <espy@debian.org>  Tue,  7 Sep 1999 05:00:58 -0700

glibc (2.1.2-0pre12) unstable; urgency=low

  * The "Espy's Birthday" release.
  * debian/rules: (libc-pic) strip debugging symbols from *_pic.a.
      interp.o is no longer needed.

  * debian/patches/sparc-linux-types.dpatch: New file.
      1999-07-25  Jakub Jelinek   <jj@ultra.linux.cz>
  
        * sysdeps/unix/sysv/linux/sparc/bits/types.h: Define always
  	__qaddr_t.
  	__ino64_t should be 32bit unsigned type on sparc32.
  	Define __off64_t to __quad_t instead of __int64_t.
  	Make __pic_pid_t unsigned on sparc32.

  * Really change maintainer name to Debian GNU C Library Maintainers.
  
  * debian/control.in-libc: s/m@archs@/many/ (closes:Bug#43657).
  
  * debian/devpts.init: Check if devpts is already mounted before trying
    to mount it. (closes:Bug#43658,#43659).
    Remove exit 0 from end (closes:Bug#42541)

  * Fixed upstream: db_dump185 now linked with libdb1 (closes:Bug#42898).

 -- Joel Klecker <espy@debian.org>  Sun, 29 Aug 1999 07:51:16 -0700

glibc (2.1.2-0pre11) unstable; urgency=high

  * The "Lesbian Seagull" release.
  * glibc 2.1.2pre3.

 -- Joel Klecker <espy@debian.org>  Wed, 25 Aug 1999 15:33:23 -0700

glibc (2.1.2-0pre10) unstable; urgency=low

  * The "Crack-smoking Squirrel" release.
  * CVS as of 1999-08-21.
  * Change maintainer name to Debian GNU C Library Maintainers.

 -- Joel Klecker <espy@debian.org>  Sat, 21 Aug 1999 10:57:42 -0700

glibc (2.1.2-0pre9) unstable; urgency=low

  * The "Son of Drunken Iceweasel" release.
  * Compile with gcc 2.95.1.
  * CVS as of 1999-08-18.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Wed, 18 Aug 1999 11:11:29 -0700

glibc (2.1.2-0pre8) unstable; urgency=low

  * The "Drunken Iceweasel" release.
  * Compile with gcc 2.95.1-0pre1.
  * Remove explicit -march=i386 on i386, it's no longer needed.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sun, 15 Aug 1999 08:34:55 -0700

glibc (2.1.2-0pre7) unstable; urgency=low

  * The "Evil Mastermind" release.
  * CVS as of 1999-08-09.
  * debian/patches/arm-osabi.dpatch: "...and another patch bites the dust"
    (functionality integrated upstream).
  * Add -march=i386 on i386 to work around gcc lossage.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Tue, 10 Aug 1999 01:54:57 -0700

glibc (2.1.2-0pre6) unstable; urgency=low

  * The "Stoned Monkey" release.
  * More adjustments for multi-arch build tree.
  * Split patch rules into debian/patch-rules.mk.
  * Divide patch system into indep and arch patches.
  * Update sources to CVS as of 1999-08-08 (closes:Bug#42579,#42343).
    - I think perhaps this will fix the StarOrifice problem too.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sun,  8 Aug 1999 21:11:12 -0700

glibc (2.1.2-0pre5) unstable; urgency=low

  * The "Chainsaw Psycho" release.
  * Install zdump in $(bindir).
  * Fix 3l33t control frags system for "weird" architectures. ;)
  * Avoid using DEB_*_ARCH variables, for they are evil. :)

 -- Joel Klecker <debian-glibc@lists.debian.org>  Fri,  6 Aug 1999 05:34:55 -0700

glibc (2.1.2-0pre4) unstable; urgency=low

  * 2.1.2pre2.
  * Run testsuite in build target.
  * $(libc)-pic: Provides: glibc-pic.
  * Logging is back.
  * Update copyright file.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sun,  1 Aug 1999 17:58:49 -0700

glibc (2.1.2-0pre3) unstable; urgency=low

  * CVS as of 19990730.
  * Implement new debian/control-frags system.
  * $(libc)-pic is back.
  * {gconv-modules,$(libc)-{pic,dev,dbg,prof}}:
    doc dirs are directories again.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Fri, 30 Jul 1999 10:52:06 -0700

glibc (2.1.2-0pre2) unstable; urgency=low

  * debian/rules: Fix typo that prevented all the linux-specific
    patches from being applied.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Mon, 26 Jul 1999 14:44:46 -0700

glibc (2.1.2-0pre1) unstable; urgency=low

  * New upstream pre-release 2.1.2pre1.
  * debian/depflags.mk.
    - (libc_dev_control_flags):
      Add conflicts to alpha/i386/m68k for libncurses4-dev (<< 4.2-3.1) and
      libreadlineg2-dev (<< 2.1-13.1).
    - (libc_control_flags):
      Add conflicts to alpha/i386/m68k for libglib1.2 (<< 1.2.1-2).
  * devpts.init:
    - Cope with EXTRAVERSION in uname -r (closes:Bug#41064,#41389).
    - Don't worry about /dev/ptmx anymore, glibc now checks for a mounted
      devpts filesystem as well as an existing /dev/ptmx.
  * debian/patches/{ieee754_y0,linux-mmap64,libio-oldiopopen}.dpatch:
    Removed; applied upstream.
  * debian/patches/arm-{dynamiclinker,tftp}.dpatch:
    Removed; applied upstream.
  * debian/patches/arm-string.dpatch:
    Remove string/endian.h part (applied upstream) and rename to arm-ieee754.
  * Disable building of $(libc)-pic, the boot-floppies library
    reduction hack doesn't work anyway.
  * Adjusted rules for dpkg-architecture and reworked source unpacking
    to handle snapshot upstream versions better.
  * Use suidmanager for pt_chown.
  * More fully adopt dpkg-architecture system.
  * Correct libc.preinst for sparc.
  * Set sparc shlib_depend to $(libc) (>= 2.1) per request.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sat, 24 Jul 1999 12:35:05 -0700

glibc (2.1.1-13) unstable; urgency=low

  * debian/devpts.init: Revise again.
  * debian/rules: debian/shlibs: Add special case for libdb1.
  * debian/sysdeps.mk: Add cflags variable and i386 hack
    (hopefully this will allow the library to run on 386es again).
  * Use 2.2.10 kernel headers by default on *-linux targets.
  * Docs in /usr/share/doc.
  * debian/control.in: Update Standards-Version to 3.0.0.
  * debian/fhs.dpatch: Adjust for FHS 2.1pre2 /var/mail wording.
  * debian/libc.postinst: Symlink /var/mail to /var/spool/mail.
  * Integrate changes from Jim Pick's NMUs for arm (closes:#40927,#40479,#40691).
  * debian/patches/ieee754_y0.dpatch: Upstream fix for yn() issue.
  * debian/patches/linux-mmap64.dpatch: Fix for mmap64() on powerpc
    (maybe others too).
  * debian/patches/libio-oldiopopen.dpatch: Fix for glibc 2.0 compat popen().
  * debian/copyright:
    - Update URLs
    - Add libio license
    - s%/usr/doc/copyright%/usr/share/common-licenses%

 -- Joel Klecker <debian-glibc@lists.debian.org>  Wed,  7 Jul 1999 17:36:23 -0700

glibc (2.1.1-12.3) unstable; urgency=low

  * Non-maintainer upload.
  * Oops, messed up tftp patch for ARM.

 -- Jim Pick <jim@jimpick.com>  Wed,  7 Jul 1999 00:15:48 -0700

glibc (2.1.1-12.2) unstable; urgency=low

  * Non-maintainer upload.
  * Another patch for ARM to fix tftp struct alignment problem.

 -- Jim Pick <jim@jimpick.com>  Thu,  1 Jul 1999 09:38:02 -0700

glibc (2.1.1-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch for ARM to fix dynamic linker.

 -- Jim Pick <jim@jimpick.com>  Thu, 17 Jun 1999 21:11:59 -0700

glibc (2.1.1-12) unstable; urgency=low

  * debian/rules: Use /var/lib/misc here too.
  * debian/tzconfig: Fix #! line.
  * debian/libc.postinst: Minor adjustments.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Tue, 15 Jun 1999 09:24:49 -0700

glibc (2.1.1-11) unstable; urgency=low

  * debian/patches/glibcbug.dpatch: New file.
    - Fixes glibcbug to use `sensible-editor'
  * debian/patches/fhs.dpatch: Deal with _PATH_VARDB.
  * debian/patches/m68k-chown.dpatch: Fix paths (closes:Bug#37933).
  * $(libc): Add HTML version of glibc FAQ.
  * tzselect is crap, restore old version of tzconfig.
  * Use 2.2.9 kernel headers by default on *-linux targets.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sun, 13 Jun 1999 09:34:41 -0700

glibc (2.1.1-10) unstable; urgency=low

  * debian/libc.postinst: Redirect stdout/stderr to /dev/null when
    restarting services (closes:Bug#38413).
  * debian/patches/fhs.dpatch: Alter slightly for FHS 2.1 draft.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Mon, 31 May 1999 01:45:27 -0700

glibc (2.1.1-9) unstable; urgency=low

  * 2.1.1 final (closes:Bug#38178).
  * -7 was accidentally/intentionally compiled with gcc 2.95pre.
  * -8 was a local build.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Mon, 24 May 1999 22:10:01 -0700

glibc (2.1.1-8) unstable; urgency=low

  * Rebuild with egcs 1.1.2.
    (/me hides)

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sun, 23 May 1999 21:28:29 -0700

glibc (2.1.1-7) unstable; urgency=low

  * Make sure all patches get applied (closes:Bug#37951,Bug#37974).
  * Fixes for m68k via Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
    - (debian/rules): Add new m68k-chown patch (closes:Bug#38048).
    - (debian/depflags.mk): Fix m68k case (closes:Bug#37933).
  * There were some localedata changes in format between -5 and -6
    (closes:Bug#37850,Bug#37822,Bug#37829).
  * Add patch to fix install-locales target when localedata is not installed.
  * Build locales in the `locales' target
    (no sense building them in the arch-indep install target).

 -- Joel Klecker <debian-glibc@lists.debian.org>  Thu, 20 May 1999 14:02:15 -0700

glibc (2.1.1-6) unstable; urgency=low

  * 2.1.1pre3.
  * (debian/rules): Set BASH and KSH to /bin/bash in configparms.
  * (debian/libc.preinst): sparc fix (closes:Bug#37415,Bug#37616).
  * (debian/nscd.prerm): Stop nscd before removing it (closes:Bug#37416).

 -- Joel Klecker <debian-glibc@lists.debian.org>  Mon, 17 May 1999 19:29:12 -0700

glibc (2.1.1-5) unstable; urgency=low

  * CVS as of 1999-05-08.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sat,  8 May 1999 19:31:52 -0700

glibc (2.1.1-4) unstable; urgency=low

  * Fix logic errors in tzconfig.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sat,  8 May 1999 00:07:44 -0700

glibc (2.1.1-3) unstable; urgency=low

  * 2.1.1pre2.
  * glibc-compat 2.1.0.
  * debian/copyright: Update URLs for upstream source locations.
  * debian/devpts.init: Rewrite for more sensible handling of devfs.
  * debian/libc.postinst: Be more paranoid about /etc/timezone, and
    always remake /etc/localtime symlink.
  * debian/sysdeps.mk: Add sparc to HAVE_LIBC4 to deal with lddlibc4.
  * debian/rules: Don't apply sparc32-ldd patch.
  * debian/patches/sparc32-ldd.dpatch: delete.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Fri,  7 May 1999 10:40:11 -0700

glibc (2.1.1-2) unstable; urgency=low

  * $(libc): replace locales << 2.1.1-1
  * debian/depflags.mk: clean up
  * debian/control.in: locales: remove depend on @libc@ (closes:Bug#36654).
  * debian/devpts.sh: Remove bashisms (closes:Bug#36552).
  * debian/libc.postinst:
    - Use ln -sf instead of zic -l (closes:Bug#36305).
    - If upgrading from glibc 2.0, restart services potentially affected
      by libnss_* upgrade.
  * debian/libc.preinst: Add kernel version sanity check for sparc.
  * debian/rules:
    - Fix reverse-patches target (closes:Bug#36574).
    - Fix libexecdir handling (closes:Bug#36673).
    - locales is binary-all, so build it in binary-indep, not binary-arch.
  * debian/sysdeps.mk: $(shlib_depend): >= 2.0.105 for sparc.
  * locales: Add eo_EO (Esperanto) locale definition.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Sat,  1 May 1999 22:22:22 -0700

glibc (2.1.1-1) unstable; urgency=low

  * Using maintainer versions now; 2.1.1 is still in pre-release.
  * CVS as of 1999-04-19.
  * Upgrade glibc-compat addon.
  * Add kernel version sanity check to nscd init script.
  * Slight tweaks to devpts.sh init script.
  * Remove hurd-fcntl patch, it is applied upstream.
  * Fix libc.preinst libnss code.
  * Symlink /var/db to /var/state/glibc for backward compatibility.
  * Add zh_TW.Big5 locale and BIG5_1984 charmap.
  * Revert to ln -sf instead of zic -l in tzconfig (closes:Bug#36305).
  * Add latest version of sparc32-chown patch.
  * Move architecture-dependant parts of locales to other packages
    and make it Architecture: all.
  * Move locale and localedef to $(libc); and split gconv-modules into its
    own package.

 -- Joel Klecker <debian-glibc@lists.debian.org>  Tue, 20 Apr 1999 15:09:18 -0700

glibc (2.1.1-0.2) unstable; urgency=low

  * Upgrade to latest CVS sources.
    - Fixes ttyname problem which affected screen (closes:Bug#35695).
    - libio backward compatibility fixes.
    - Many other fixes.
  * Put manpages in /usr/share/man, info in /usr/share/info.
  * Add devpts.sh init script and /etc/default/devpts to configure it.
  * Better FHS compliance.
    - /var/db -> /var/state/glibc.
    - --libexecdir=/usr/lib (my reading of the FHS seems to allow
      executables directly in /usr/lib).

 -- Joel Klecker <espy@debian.org>  Wed,  7 Apr 1999 14:47:08 -0700

glibc (2.1.1-0.1) unstable; urgency=low

  * Now using NMU-style versions for prereleases.
  * Don't start utmpd.
  * Somehow the old nss modules (libnss_*.so.1) slipped out
    of the last release, put them back.
  * Let libc keep its x bit.
    (executing it presents some interesting output)

 -- Joel Klecker <espy@debian.org>  Wed, 17 Mar 1999 00:44:44 -0800

glibc (2.1.1-0pre1.3) unstable; urgency=low

  * Fix source package.
  * $(libc)-dbg: Install libpthread (closes:Bug#34461).
  * $(libc): Add note about devpts and services to postinst.
    - Recreate databases in /var/db if upgrading from glibc 2.0.x
      (closes:Bug#34442)
    - i386, alpha, m68k: Conflict with libtricks, apt (<< 0.1.10.1).
  * Change default_cflags to -O2 -g.
  * Allow make check to fail.

 -- Joel Klecker <espy@debian.org>  Sat, 13 Mar 1999 15:14:50 -0800

glibc (2.1.1-0pre1.2) unstable; urgency=low

  * strip shared libs with --strip-debug instead of --strip-unneeded.
  * Loosened shlibs depend.

 -- Joel Klecker <espy@debian.org>  Fri, 12 Mar 1999 22:33:01 -0800

glibc (2.1.1-0pre1.1) unstable; urgency=low

  * Fix $(libc) replaces on i386.

 -- Joel Klecker <espy@debian.org>  Fri, 12 Mar 1999 14:47:28 -0800

glibc (2.1.1-0pre1) unstable; urgency=low

  * New upstream release.
  * Really release this one to unstable.

 -- Joel Klecker <espy@debian.org>  Wed, 10 Mar 1999 09:14:29 -0800

glibc (2.1-4) unstable; urgency=low

  * First release for unstable.
  * Add glibc-compat addon.
  * $(libc): Conflict with libwcsmbs
    - Start utmpd and touch /var/run/utmpx, /var/log/wtmpx.
  * $(libc)-dbg: Install unstripped shared libs in /usr/lib/glibc_dbg.
  * $(libc)-prof: Strip libraries.
  * glibc-doc: Remove cruft from top-level of info dir.
  * Split nscd into separate package.
  * Fixed $KERNEL_SOURCE handling.
  * Bugs fixed: 19264, 22788, 26148, 26306, 30609, 30773, 31415
    (will elaborate later :)

 -- Joel Klecker <espy@debian.org>  Fri,  5 Mar 1999 11:29:44 -0800

glibc (2.1-3) unstable; urgency=low

  * (debian/depflags.mk):
    - Correct typo
    - Add libc_dev_control_flags for Conflicts

 -- Joel Klecker <espy@debian.org>  Mon,  8 Feb 1999 03:22:27 -0800

glibc (2.1-2) unstable; urgency=low

  * Get shlibs file dependencies correct.

 -- Joel Klecker <espy@debian.org>  Sat,  6 Feb 1999 22:56:22 -0800

glibc (2.1-1) unstable; urgency=low

  * New upstream release.
  * (debian/control.in): Update maintainer address.
  * (debian/depflags.mk):
    $(libc): conflict and replace timezone, timezones; replace libdb2
  * (debian/rules):
  	$(libc)-dev: copy subdirectories from $(KERNEL_HEADERS)/linux too.
  	timezones: remove
  	$(libc): Put timezone data, and the zic and zdump utils here
  * Sync with HURD again.
  * Removed hurd-utimes patch, it is integrated upstream.

 -- Joel Klecker <espy@debian.org>  Sat,  6 Feb 1999 12:26:10 -0800

Local Variables:
  mode: debian-changelog
  add-log-mailing-address: "debian-glibc@lists.debian.org"
End:
